Module ij
Package ij.plugin

# Class StackReducer

java.lang.Object
ij.plugin.StackReducer

All Implemented Interfaces:
  `PlugIn`

public class StackReducer extends Object implements PlugIn
This plugin implements the Image/Stacks/Tools/Reduce command.

## Constructor Summary

Constructors
Constructor
Description
`StackReducer()`

## Method Summary

Modifier and Type
Method
Description
`void`
`reduceHyperstack(ImagePlus imp, int factor, boolean reduceSlices)`
`void`
`reduceStack(ImagePlus imp, int factor)`
`void`
`run(String arg)`
This method is called when the plugin is loaded.
`boolean`
`showDialog(ImageStack stack)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StackReducer

public StackReducer()

## Method Details

### run

public void run(String arg)
Description copied from interface: `PlugIn`
This method is called when the plugin is loaded. 'arg', which may be blank, is the argument specified for this plugin in IJ_Props.txt.

Specified by:
  `run` in interface `PlugIn`

### showDialog

public boolean showDialog(ImageStack stack)

### reduceStack

public void reduceStack(ImagePlus imp, int factor)

### reduceHyperstack

public void reduceHyperstack(ImagePlus imp, int factor, boolean reduceSlices)